Loading...
Searching...
No Matches
Halide::Internal::Autoscheduler::CachingOptions Struct Reference

`#include <Cache.h>`

## Static Public Member Functions

static CachingOptions | MakeOptionsFromParams (const Adams2019Params &params)

## Public Attributes

bool | cache_blocks = false
bool | cache_features = false

## Detailed Description

Definition at line 76 of file Cache.h.

## Member Function Documentation

## MakeOptionsFromParams()

CachingOptions Halide::Internal::Autoscheduler::CachingOptions::MakeOptionsFromParams | ( | const Adams2019Params & | params | ) |

inline static

Definition at line 80 of file Cache.h.

References cache_blocks, cache_features, Halide::Internal::Autoscheduler::Adams2019Params::disable_memoized_blocks, and Halide::Internal::Autoscheduler::Adams2019Params::disable_memoized_features.

## Member Data Documentation

## cache_blocks

bool Halide::Internal::Autoscheduler::CachingOptions::cache_blocks = false

Definition at line 77 of file Cache.h.

Referenced by MakeOptionsFromParams().

## cache_features

bool Halide::Internal::Autoscheduler::CachingOptions::cache_features = false

Definition at line 78 of file Cache.h.

Referenced by MakeOptionsFromParams().

The documentation for this struct was generated from the following file:

- src/autoschedulers/adams2019/Cache.h